Bug 1776150 - Review Request: ghc-either - Combinators for working with sums
Summary: Review Request: ghc-either - Combinators for working with sums
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-25 08:54 UTC by Jens Petersen
Modified: 2020-02-17 08:38 UTC (History)
3 users (show)

Fixed In Version: ghc-either-5.0.1.1-4.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-17 08:38:10 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jens Petersen 2019-11-25 08:54:43 UTC
Spec URL: https://petersen.fedorapeople.org/reviews//ghc-either.spec
SRPM URL: https://petersen.fedorapeople.org/reviews//ghc-either-5.0.1.1-1.fc31.src.rpm

Description:
Combinators for working with sums.

Comment 1 Jens Petersen 2019-11-25 08:54:48 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=39313006

Comment 2 Elliott Sales de Andrade 2019-11-27 03:14:22 UTC
The doc subpackage is missing the license, I believe.

Comment 3 Ben Cotton 2019-11-27 14:22:50 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Jens Petersen 2019-11-27 14:55:15 UTC
oops

Comment 6 Robert-André Mauchin 🐧 2019-12-11 21:51:52 UTC
 - Remove executable bits in %prep and notify upstream about it:

ghc-either-devel.x86_64: W: spurious-executable-perm /usr/share/doc/ghc-either-devel/CHANGELOG.markdown
ghc-either-devel.x86_64: W: spurious-executable-perm /usr/share/doc/ghc-either-devel/README.markdown


Package approved.



==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 2-clause "Simplified" License",
     "BSD (unspecified)". 8 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/ghc-either/review-ghc-
     either/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-either-5.0.1.1-2.fc32.x86_64.rpm
          ghc-either-devel-5.0.1.1-2.fc32.x86_64.rpm
          ghc-either-5.0.1.1-2.fc32.src.rpm
ghc-either.x86_64: W: spelling-error Summary(en_US) Combinators -> Combinations, Combination, Contaminators
ghc-either.x86_64: W: spelling-error %description -l en_US Combinators -> Combinations, Combination, Contaminators
ghc-either.x86_64: E: library-not-linked-against-libc /usr/lib64/libHSeither-5.0.1.1-JFjwNYNi011IL2G3W1bvHa-ghc8.6.5.so
ghc-either.x86_64: W: no-documentation
ghc-either-devel.x86_64: W: spurious-executable-perm /usr/share/doc/ghc-either-devel/CHANGELOG.markdown
ghc-either-devel.x86_64: W: spurious-executable-perm /usr/share/doc/ghc-either-devel/README.markdown
ghc-either.src: W: spelling-error Summary(en_US) Combinators -> Combinations, Combination, Contaminators
ghc-either.src: W: spelling-error %description -l en_US Combinators -> Combinations, Combination, Contaminators
3 packages and 0 specfiles checked; 1 errors, 7 warnings.

Comment 7 Jens Petersen 2019-12-12 05:14:40 UTC
Thanks for reviewing, Robert-André

(In reply to Robert-André Mauchin from comment #6)
>  - Remove executable bits in %prep and notify upstream about it:
> 
> ghc-either-devel.x86_64: W: spurious-executable-perm
> /usr/share/doc/ghc-either-devel/CHANGELOG.markdown
> ghc-either-devel.x86_64: W: spurious-executable-perm
> /usr/share/doc/ghc-either-devel/README.markdown

I have opened https://github.com/ekmett/either/issues/63
and will fix this when importing, thanks

https://pagure.io/releng/fedora-scm-requests/issue/20498

Comment 8 Gwyn Ciesla 2019-12-12 14:31:42 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-either

Comment 9 Fedora Update System 2020-01-28 08:34:52 UTC
FEDORA-2020-f3614f8dab has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f3614f8dab

Comment 10 Fedora Update System 2020-01-31 01:29:08 UTC
ghc-either-5.0.1.1-4.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f3614f8dab

Comment 11 Fedora Update System 2020-02-12 02:14:32 UTC
ghc-either-5.0.1.1-4.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.